#####单选题相关


###获得全部单选题记录
GET_ALL_SINGLE_PROBLEMS = SELECT * FROM tb_OnLineExam_SingleProblem

###获得指定ID的单选题记录
GET_SINGLE_PROBLEM_BY_ID = SELECT * FROM tb_OnLineExam_SingleProblem WHERE ID = ?

###获得匹配指定关键字的所有单选题记录
GET_SINGLE_PROBLEMS_BY_KEY_WORD = SELECT * FROM tb_OnLineExam_SingleProblem WHERE Question LIKE ? OR OptionA LIKE ? OR OptionB LIKE ? OR OptionC LIKE ? OR OptionD LIKE ? OR Answer LIKE ?

###获得指定科目ID的所有单选题记录
GET_SINGLE_PROBLEMS_BY_COURSE_ID = SELECT * FROM tb_OnLineExam_SingleProblem WHERE CourseID = ?

###获得指定科目ID、指定数量的单选题记录
###（无法指定SQL语句中的?参数）

###添加单选题记录
ADD_SINGLE_PROBLEM = INSERT INTO tb_OnLineExam_SingleProblem (CourseID, Question, OptionA, OptionB, OptionC, OptionD, Answer, TotalTimes, ErrorTimes, Description) VALUES (?, ?, ?, ?, ?, ?, ?, 0, 0, ?)

###检查是否已存在相同内容的单选题记录
IS_EXISTENT_SINGLE_PROBLEM = SELECT * FROM tb_OnLineExam_SingleProblem WHERE CourseID = ? AND Question = ? AND OptionA = ? AND OptionB = ? AND OptionC = ? AND OptionD = ? AND Answer = ?

###删除指定ID的单选题记录
DELETE_SINGLE_PROBLEM_BY_ID = DELETE FROM tb_OnLineExam_SingleProblem WHERE ID = ?

###删除指定科目ID的所有单选题记录
DELETE_SINGLE_PROBLEMS_BY_COURSE_ID = DELETE FROM tb_OnLineExam_SingleProblem WHERE CourseID = ?